﻿.marquee{
    width:100%;
    overflow:hidden;
    background:#ffcc00;
    color:#071129;
    padding:12px 0;
    white-space:nowrap;
}

.marquee-track{
    display:inline-block;
    white-space:nowrap;
    padding-left:100%;
    animation:marquee 60s linear infinite;
    font-weight:bold;
}

.marquee:hover .marquee-track{
    animation-play-state:paused;
}

@keyframes marquee{
    from{
        transform:translateX(0);
    }
    to{
        transform:translateX(-100%);
    }
}

/* ==========================
   BREAKING NEWS
========================== */

.breaking-news{

    display:flex;
    align-items:center;
    width:100%;
    background:#111b35;
    border-top:2px solid #00ffd5;
    border-bottom:2px solid #00ffd5;
    overflow:hidden;

}

.breaking-label{

    background:#ff3333;
    color:#fff;
    padding:12px 20px;
    font-weight:bold;
    white-space:nowrap;
    z-index:2;

}

.marquee{

    flex:1;
    overflow:hidden;
    background:#ffcc00;
    color:#071129;
    white-space:nowrap;

}

.marquee-track{

    display:flex;
    width:max-content;
    font-weight:bold;
    font-size:15px;

}

.marquee-track span{

    white-space:nowrap;
    padding:12px 80px 12px 0;

}

.marquee:hover .marquee-track{

    animation-play-state:paused;

}

@keyframes ticker{

    from{

        transform:translateX(0);

    }

    to{

        transform:translateX(-50%);

    }

}